# 简介
CP Lab 做为一款成熟的实验教学软件，已经可以满足高等院校`编译原理`实验教学的要求。

[查看 CP Lab 简介](http://www.engintime.com/node/27)

[下载 CP Lab 白皮书](http://www.engintime.com/forum/download/file.php?id=83&sid=e9215837223531c0a50834fb41b4e410)

# 观看演示录像
[CP Lab 演示录像](https://v.qq.com/x/page/o0811mmqvt2.html)

# 下载实验指导书
[《CP Lab 编译原理实验指导》3.0](https://share.weiyun.com/50vfZpl)  `纸质教材由清华大学出版社出版`，[点击这里获取纸质教材](http://www.tup.com.cn/booksCenter/book_07274401.html)

# 下载教学视频
[下载教学视频（腾讯微云）](https://share.weiyun.com/5HvQQHm)

# 下载安装包
为了正常使用 CP Lab，需要下载并安装下列软件。本软件可在 32/64 位 Windows 7/10 中安装使用。

`注意`
```
建议在安装前关闭 360 软件，或者当 360 试图拦截安装过程时，选择信任本软件。
```

[CP Lab 安装包（腾讯微云）](https://share.weiyun.com/5yAhesH)

[32-bit Git 2.19.1 安装包](https://github.com/git-for-windows/git/releases/download/v2.19.1.windows.1/Git-2.19.1-32-bit.exe)（如已安装 Git 2.18 以上版本，可以忽略此安装包）

[Markdown 编辑器安装包](https://bitbucket.org/rhiokim/haroopad-download/downloads/Haroopad-v0.13.1-win-ia32.msi)（可选）

# 免费申请账号
本软件已提供给全国高校教师免费使用，现在就加入下面的教师 QQ 群向管理员申请账号吧！  
```
学生用户申请账号，请加 QQ 群 688079382。
```

![QQ Group](https://www.codecode.net/engintime/codecode/codecode/raw/master/img/codecode.net-qq-group.png)

# 入门指南
1. [免费申请账号](#免费申请账号)
2. [下载安装包](#下载安装包)
3. [下载实验指导书、教学视频](#下载实验指导书)
4. 按照实验指导书《实验一》中的内容试用。
5. 已经在 CodeCode 注册的教师用户，可以访问 [教师包](https://www.codecode.net/engintime/cp-lab/teachers-packet)。其中包含了答案源代码、思考题答案、培训录像、幻灯片等内容供教师参考。
6. [提交问题或建议](https://www.codecode.net/engintime/cp-lab/cp-lab/issues)
